import { UiComponent } from "../UiComponent";
import { TeamAppsUiContext } from "../TeamAppsUiContext";
import { AbstractUiToolContainerConfig } from "../../generated/AbstractUiToolContainerConfig";
export declare abstract class AbstractUiToolContainer<C extends AbstractUiToolContainerConfig> extends UiComponent<C> {
    protected static $sizeTestingContainer: JQuery;
    static initialize(): void;
    constructor(config: C, context: TeamAppsUiContext);
    static optimizeButtonWidth($buttonWrapper: JQuery, $button: JQuery, maxHeight: number): number;
}
